GenLib User's Manual
<<< Previous |  | Next >>>

# DPGEN_NUL

## Name

DPGEN_NUL -- Zero Detector Macro-Generator

## Synopsis

    #include  <genlib.h>

``void `GENLIB_MACRO``(DPGEN_NUL, char *`modelname`, long `flags`, long `N`);`

## Description

Generate a N bits zero detector named modelname.

### Terminal Names

1. `i0` : value to check (input, N bits).

2. `q` : null flag (output, 1 bit).

3. `vdd` : power.

4. `vss` : ground.

### Behavior

q <= <= '1' WHEN (i0 = X"00000000") ELSE '0';

## Example

    GENLIB_MACRO(DPGEN_NUL, "model_nul_32"
                          , F_BEHAV|F_PLACE
                          , 32
                          );

    GENLIB_LOINS( "model_nul_32"
                , "instance1_nul_32"
                , "i0[31:0]"
                , "q"  /* Flag null. */
                , "vdd", "vss", NULL
                );

## See Also

GENLIB_MACRO(3), genlib(1)

<<< Previous | Home | Next >>>
DPGEN_SHIFT | Up | DPGEN_CONST